﻿using Syncfusion.SfImageEditor.XForms;
using Syncfusion.XForms.Buttons;
using Syncfusion.XForms.PopupLayout;
using Syncfusion.XForms.TextInputLayout;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace PopupShowSample
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout popupLayout;
        public MainPage()
        {
            InitializeComponent();
        }

        private void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            popupLayout = new SfPopupLayout();

            popupLayout.BindingContext = new PopupViewModel();

            popupLayout.PopupView.AppearanceMode = AppearanceMode.TwoButton;

            popupLayout.PopupView.AcceptButtonText = "Save";
            popupLayout.PopupView.DeclineButtonText = "Cancel";

            // Set TwoButton Appearance mode for getting 2 buttons in the footer
            popupLayout.PopupView.ShowFooter = true;

            // Setting the ContentView as the content of the popup
            popupLayout.PopupView.ContentTemplate = (DataTemplate)Resources["EditLocationTemplate"];
            popupLayout.PopupView.AnimationMode = AnimationMode.SlideOnTop;
            popupLayout.PopupView.ShowCloseButton = true;
            popupLayout.StaysOpen = true;
            popupLayout.PopupView.IsFullScreen = true;

            popupLayout.PopupView.HeaderTitle = "Ad Location";

            popupLayout.IsOpen = true;
        }

    }
}
